import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/feed/feedingenv` + url, ...arg)

export default {
	getDeviceData(data) {
		return request('/page', data, 'get')
	},
	// 设备汇总
	getDeviceCount(data) {
		return request('/listEnv', data, 'post')
	},
	// 设备分页
	getDevicePage(data) {
		return request('/listPage', data, 'get')
	},
	addDevice(data) {
		return request('/add', data, 'post')
	},
	editDevice(data) {
		return request('/edit', data, 'post')
	},
	delDevice(data) {
		return request('/delete', data, 'post')
	},
	getDeviceType(data) {
		return request('/deviceTypeSelector', data, 'get')
	}
}
